## XAppStackSidebar

XAppStackSidebar — An automatic sidebar widget

## Functions

XAppStackSidebar * | xapp_stack_sidebar_new ()
void | xapp_stack_sidebar_set_stack ()
GtkStack * | xapp_stack_sidebar_get_stack ()

## Properties

GtkStack * | stack | Read / Write

## Types and Values

#define | XAPP_TYPE_STACK_SIDEBAR
| XAppStackSidebar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── XAppStackSidebar

## Implemented Interfaces

XAppStackSidebar implements AtkImplementorIface and GtkBuildable.

## Description

A XAppStackSidebar allows you to quickly and easily provide a consistent "sidebar" object for your user interface

In order to use a XAppStackSidebar, you simply use a GtkStack to organize your UI flow, and add the sidebar to your sidebar area. You can use `xapp_stack_sidebar_set_stack()` to connect the XAppStackSidebar to the GtkStack. The XAppStackSidebar is an extended version of the the GtkStackSidebar that allows showing an icon in addition to the text.

### CSS nodes

XAppStackSidebar has a single CSS node with the name stacksidebar and style class .sidebar

When circumstances require it, XAppStackSidebar adds the .needs-attention style class to the widgets representing the stack pages.

## Functions

### xapp_stack_sidebar_new ()

    XAppStackSidebar *
    xapp_stack_sidebar_new (void);

Creates a new sidebar.

#### Returns

the new XAppStackSidebar

### xapp_stack_sidebar_set_stack ()

    void
    xapp_stack_sidebar_set_stack (XAppStackSidebar *sidebar,
                                  GtkStack *stack);

Set the GtkStack associated with this XAppStackSidebar.

The sidebar widget will automatically update according to the order (packing) and items within the given GtkStack.

#### Parameters

sidebar | a XAppStackSidebar |
stack | a GtkStack |

### xapp_stack_sidebar_get_stack ()

    GtkStack *
    xapp_stack_sidebar_get_stack (XAppStackSidebar *sidebar);

Retrieves the stack. See `xapp_stack_sidebar_set_stack()`.

#### Parameters

sidebar | a XAppStackSidebar |

#### Returns

the associated GtkStack or `NULL` if none has been set explicitly.

[nullable][transfer none]

## Types and Values

### XAPP_TYPE_STACK_SIDEBAR

    #define XAPP_TYPE_STACK_SIDEBAR (xapp_stack_sidebar_get_type ())

### XAppStackSidebar

    typedef struct _XAppStackSidebar XAppStackSidebar;

## Property Details

### The `“stack”` property

      “stack”                    GtkStack *

Associated stack for this XAppStackSidebar.

Owner: XAppStackSidebar

Flags: Read / Write